class CalendarAppError extends Error {
  constructor(message) {
    super(message);
    this.name = "CalendarAppError";
  }
}
class CalendarAppDelegationCredentialError extends CalendarAppError {
  constructor(message) {
    super(message);
    this.name = "CalendarAppDelegationCredentialError";
  }
}
class CalendarAppDelegationCredentialConfigurationError extends CalendarAppDelegationCredentialError {
  constructor(message) {
    super(message);
    this.name = "CalendarAppDelegationCredentialConfigurationError";
  }
}
class CalendarAppDelegationCredentialInvalidGrantError extends CalendarAppDelegationCredentialError {
  constructor(message) {
    super(message);
    this.name = "CalendarAppDelegationCredentialInvalidGrantError";
  }
}
class CalendarAppDelegationCredentialClientIdNotAuthorizedError extends CalendarAppDelegationCredentialConfigurationError {
  constructor(message) {
    super(message);
    this.name = "CalendarAppDelegationCredentialClientIdNotAuthorizedError";
  }
}
class CalendarAppDelegationCredentialNotSetupError extends CalendarAppDelegationCredentialConfigurationError {
  constructor(message) {
    super(message);
    this.name = "CalendarAppDelegationCredentialNotSetupError";
  }
}
export {
  CalendarAppDelegationCredentialError as C,
  CalendarAppDelegationCredentialInvalidGrantError as a,
  CalendarAppDelegationCredentialConfigurationError as b,
  CalendarAppError as c,
  CalendarAppDelegationCredentialClientIdNotAuthorizedError as d,
  CalendarAppDelegationCredentialNotSetupError as e
};
